import {
	Sidebar,
	SidebarContent,
	SidebarHeader,
	SidebarRail
} from "@/components/ui/sidebar";
import { NavGroup } from "@/components/layout/nav-group";
import { sidebarData } from "./data/sidebar-data";
import { cn } from "@/lib/utils";

export function AppSidebar({ ...props }: React.ComponentProps<typeof Sidebar>) {
	return (
		<Sidebar collapsible="icon" variant="floating" {...props}>
			<SidebarHeader>
				<h1
					className={cn(
						"header-fixed peer/header flex h-16 w-[inherit] items-center gap-3 rounded-md bg-background p-4 text-xl font-bold sm:gap-4"
					)}
					{...props}>
					SwagShop
				</h1>
			</SidebarHeader>
			<SidebarContent>
				{sidebarData.navGroups.map((props) => (
					<NavGroup key={props.title} {...props} />
				))}
			</SidebarContent>
			{/* <SidebarFooter>
				<NavUser user={sidebarData.user} />
			</SidebarFooter> */}
			<SidebarRail />
		</Sidebar>
	);
}
